call plug#begin('~/local/share/nvim/plugged')

Plug 'itchyny/lightline.vim'
Plug 'editorconfig/editorconfig-vim'
Plug 'itchyny/lightline.vim'
Plug 'junegunn/fzf', { 'do': { -> fzf#install() } }
Plug 'junegunn/fzf.vim'
Plug 'mattn/emmet-vim'
Plug 'scrooloose/nerdtree'
Plug 'terryma/vim-multiple-cursors'
Plug 'tpope/vim-eunuch'
Plug 'tpope/vim-surround'
Plug 'scrooloose/syntastic'
Plug 'vim-airline/vim-airline'
Plug 'vim-airline/vim-airline-themes'
Plug 'prabirshrestha/vim-lsp'
Plug 'tomasr/molokai'
Plug 'fatih/vim-go'
Plug 'artur-shaik/vim-javacomplete2'
Plug 'Valloric/YouCompleteMe', { 'do': './install.py' }
Plug 'gko/vim-coloresque'
Plug 'preservim/nerdcommenter'
Plug 'junegunn/goyo.vim'
Plug 'rust-lang/rust.vim'
Plug 'lervag/vimtex'
Plug 'xuhdev/vim-latex-live-preview', { 'for': 'tex' }
Plug 'nanotee/zoxide.vim'
Plug 'vimwiki/vimwiki'
Plug 'mattn/calendar-vim'
Plug 'camspiers/animate.vim'
Plug 'camspiers/lens.vim'
" Better Syntax Support
Plug 'sheerun/vim-polyglot'
" File Explorer
Plug 'scrooloose/NERDTree'
" Auto pairs for '(' '[' '{'
Plug 'jiangmiao/auto-pairs'

" Git
Plug 'airblade/vim-gitgutter'
Plug 'tpope/vim-fugitive'
call plug#end()

let g:molokai_original = 1
let g:airline_theme='molokai'
let g:ale_enable=0
syntax on
filetype plugin indent on
set shiftwidth=4
set softtabstop=4
set tabstop=4
set expandtab
set number relativenumber
colorscheme monokai
set nocompatible

let g:livepreview_previewer = 'zathura'

" Map Leader
let mapleader = ","

" Note taking (Mardown, Spelling)
let g:vimwiki_list = [{'path': '~/vimwiki/',
                      \ 'syntax': 'markdown', 'ext': '.md'}]

:map <F11> :setlocal spell! spelllang=en_gb<CR>
au BufNewFile ~/vimwiki/diary/*.md :silent 0r !~/.config/nvim/generate-vimwiki-diary-template '%'


let NERDTreeMapOpenInTab='<ENTER>'

let g:fzf_nvim_statusline = 0 " disable statusline overwriting

"remaps
nnoremap <silent> <leader><space> :Files<CR>
nnoremap <silent> <leader>w :Windows<CR>
nnoremap <silent> <leader>h :History<CR>

" Switching windows
nnoremap <A-h> <C-w>h
nnoremap <A-j> <C-w>j
nnoremap <A-k> <C-w>k
nnoremap <A-l> <C-w>l

" 
nnoremap <A-J> :tabp<CR>
nnoremap <A-K> :tabn<CR>

" Basic cmd commanous
nnoremap <A-o> :!touch<Space>
nnoremap <A-e> :tabe<Space>
nnoremap <A-d> :!mdkir<Space>
nnoremap <A-m> :!mv<Space>%<Space>

" Indents
vmap < <gv
vmap > >gv

" Open NERDTree
nnoremap <leader>n :NERDTreeToggle<CR>
